7 Create an Organization and Wallet
Once your Blockchain Platform instance is provisioned, you can create and configure your organization, add users to it, and create a wallet.
Create Your Organization and Wallets
- Open Blockchain Platform Manager
(
https://controlplane.domainname/console/index.html). - Log in to Blockchain Platform Manager by using the username and password that you added when creating your identity provider. Note that this user must be a member of the Wallet Super Admin group in order to create an organization.
- On the Wallet page Organization tab, select Create Organization.
- Enter the organization information, and select Create Organization.
- Associate your instance with the new organization. Expand the newly created organization, and select Manage Organization Access. Select which instances are associated with the new organization by selecting them from the Access Scope list, and select Add Organization Access Mapping.
- Select the Users tab, and select Register User.
- Enter all the information for the user. Select which organization they belong to, and select Register User. Repeat for each user.
- Note that these users must exist in the identity provider.
- For OpenLDAP,
User IDmust match thenameclaim in the JSON Web Token. - For IDCS,
User IDmust match thesubclaim in the JSON Web Token.
- If you're using policies to govern how digital asset keys, transactions, and user compliance requirements are managed, on the Policies tab, select Add Policy and enter the policy details.
- On the Wallets tab, select Create Wallet. Enter the wallet details for a user, and select Create Wallet. Repeat for each user.
- For instances that use governance (Governed mode), you must call the governance
contract to register the wallet. For more information, see Create Wallet in the UWaaS API documentation.
The following
curlcommand shows an example of this wallet registration API call.curl --location --request POST 'https://uwaas.example.com/v1/uwaas/wallets' \ --header 'Authorization: Bearer eZjcd7QIrxI8iO1wpQ' \ --header 'Content-Type: application/json' \ --data-raw '{ "orgId": "TestOrg", "orgNetworkId": 4, "userId": "e194554b-bc47-5ae7-b052-76db72f8dd09", "walletLabel": "ha1", "walletType": "1", "status": "ACTIVE", "walletTags": ["ha1"] }'